> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/points-de-terminaison-geospatiaux-pour-lacces-aux-donnees-spatiales/wms-obtenir-des-images-raster-des-couches-de-donnees-spatiales/16.-image-satellite-recadree-selon-la-limite-de-la-parcelle.md).

# 16. Image satellite : recadrée selon la limite de la parcelle

Une découpe précise (non pixellisée) de l'image satellite basée sur la limite de parcelle définie est disponible pour diverses vues telles que `RVB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, etc.&#x20;

Chaque SatelliteImage contient un `geoMaps` objet contenant les détails de rendu tels que `url`, les codes couleur, les classes et le nom. Ces détails se trouvent dans le `champ` -> `satelliteImages` -> `geoMaps` attribut. Le `url` est spécifiquement utilisé pour afficher les cartes en tant que couche WMS.

Pour illustrer, des exemples de sortie pour les vues NIR et WDRVI sont fournis ci-dessous.

### Proche infrarouge (NIR), WDRVI et contraste WDRVI

![NIR](https://690567185-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FBO5IUPWygVgPKpMAsela%2Fimage.png?alt=media\&token=23504b6c-df7c-460e-b1cd-b184fe86c575) ![WDRVI](https://690567185-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FWWNyxHuZj4eEkSrUPEN1%2Fimage.png?alt=media\&token=8cccb814-3eb8-4b55-b1eb-ff0609091f68) ![WDRVI Contrast](https://690567185-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F7f0VDnbb4I5kiw7OdDg5%2Fimage.png?alt=media\&token=1ccffb9a-88b3-431b-9c8d-703cb784a5e6)

Le format de la requête est [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### Explication des paramètres de l'URL

Où les attributs d'entrée sont :

1. `VIEWPARAMS=uuid:<field_uuid>` contient le `uuid` du "Champ";
2. `TIME=2020-07-22T17%3A50%3A22Z` contient la date de l'image satellite au format YYYY-MM-DDThh:mm:ssZ (encodée pour l'URL) et est située dans l'entité "FieldSatelliteImagery" avec `acquisitionDate` attribut ;
3. `BBOX=<minX,minY,maxX,maxY>` contient la boîte englobante (encodée dans l’URL) du "Field" en projection EPSG:3857 ;
4. `WIDTH=512`  reflète la taille de l'image de sortie en pixels (le nombre précis est important uniquement s'il est utilisé comme vignette) ;
5. `geopardApiKey=<geopard_api_key>` est couplé à l'option d'autorisation via clé API ;
6. `LAYERS=sentinel2_wdrvi_and_field` reflète le style, l'attribut provider situé dans l'entité "FieldSatelliteImagery".

Les options disponibles pour Sentinel2 (`S2`) imagerie `LAYERS` sont :

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

les options disponibles pour Landsat8 (`L8, L9`) imagerie `LAYERS` sont :

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

les options disponibles pour Landsat4-7 (`L4, L5, L6, L7`) imagerie `LAYERS` sont :

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/points-de-terminaison-geospatiaux-pour-lacces-aux-donnees-spatiales/wms-obtenir-des-images-raster-des-couches-de-donnees-spatiales/16.-image-satellite-recadree-selon-la-limite-de-la-parcelle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
